Name:		dnswalk
Version:	2.0.2
Release:	1%{?dist}
Summary:	DNS database debugger

Group:		Applications/System
License:	Distributable
URL:		http://sourceforge.net/projects/dnswalk
Source0:        http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.gz
Patch0:         %{name}-2.0.2-perl_path.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildArch:      noarch


%description
dnswalk is a DNS debugger.  It performs zone transfers of specified domains,
and checks the database in numerous ways for internal consistency, as well as
accuracy.


%prep
%setup -q -c
%patch0 -p0
find . -type f -exec chmod a-x {} ';'

 
%build
# Nothing to build


%install
rm -rf $RPM_BUILD_ROOT
install -Dp -m 0755 dnswalk $RPM_BUILD_ROOT/%{_sbindir}/dnswalk
install -Dp -m 0644 dnswalk.1 $RPM_BUILD_ROOT/%{_mandir}/man1/dnswalk.1


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc CHANGES dnswalk.errors  do-dnswalk  makereports  README  rfc1912.txt  sendreports  TODO
%{_sbindir}/dnswalk
%{_mandir}/man1/dnswalk*


%changelog
* Wed Jan 27 2010 Xavier Bachelot <xavier@bachelot.org> 2.0.2-1
- Initial package.
